import { useState } from 'react';
import logo from '../../dist/assets/girly-happy-5699678c.svg';

const Overview = () => {
  const [isHovered, setIsHovered] = useState(false);

  const handleMouseEnter = () => {
    setIsHovered(true);
  };

  const handleMouseLeave = () => {
    setIsHovered(false);
  };

  return (
    <img
      className={isHovered ? 'logo-hovered' : 'logo'}
      src={logo}
      alt="Logo"
      onMouseEnter={handleMouseEnter}
      onMouseLeave={handleMouseLeave}
    />
  );
};

export default Overview;
